<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

 <tr>
                                      <td width="144"><a href="{@HREF}" class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                                      <td class="s1"><img src="images/bullet.gif" /></td>
                                    </tr>
            </xsl:when>
            
            
            <xsl:otherwise>
<tr>
                                      <td width="144" ><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
                                      <td class="s1"><img src="images/bullet.gif" /></td>
                                    </tr>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
<tr>
                                      <td colspan="2" class="s2"><img src="images/002_2.gif" /></td>
                                    </tr>
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
