<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- personal-040 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-image: url(images/diwenxun.gif);">
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/diwenxun.gif" >
  <tr>
    <td >
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url(images/diwen.jpg);background-repeat: repeat-x;">
  <tr>
    <td >
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
   <td><img src="images/spacer.gif" width="80" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="196" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="23" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="354" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="28" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="80" height="1" border="0" /></td>
  </tr>

  <tr>
   <td rowspan="12"></td>
   <td height="20" colspan="4" align="center">
   <table border="0" cellpadding="0" cellspacing="0"  height="31">
     <tr>
       <td width="70" height="58"></td>
<xsl:call-template name="TOP-MENU"/>
       <td width="80"></td>
     </tr>
   </table></td>
   <td rowspan="12"></td>
  </tr>
  <tr>
    <td height="20" colspan="4" align="center"></td>
  </tr>
  <tr>
   <td colspan="2" valign="top" background="images/headerxun.gif">
   <table width="219" height="202" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td background="images/logobo.gif">
	   <table width="219" border="0" cellpadding="0" cellspacing="0">
         
         <tr>
           <td height="90" align="center" valign="bottom"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
         </tr>
         <tr>
           <td class="logo"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
         </tr>
         <tr>
           <td valign="top" class="logox"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
         </tr>
       </table></td>
     </tr>
   </table></td>
   <td colspan="2" align="right" background="images/headerxun.gif"><img src="images/hearder.gif" border="0" /></td>
  </tr>
  <tr>
   <td height="8" colspan="4"></td>
  </tr>
  <tr>
   <td  valign="top" style="background-image: url(images/subbullet2.gif); background-repeat: repeat-y; background-position: left top; " >
   <table width="196" border="0" cellspacing="0" cellpadding="0">
     <tr>
       <td height="34" background="images/subbullet1.gif"></td>
     </tr>
     <tr>
       <td valign="top">
	   <table width="196" border="0" cellspacing="0" cellpadding="0">
         <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
         </tr>
         <tr>
           <td height="20" colspan="5" align="center" ></td>
         </tr>
       </table></td>
     </tr>
   </table></td>
   <td colspan="2"  width="100%" height="100%" valign="top" background="images/textdi.gif">
   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/textdi.gif">
     <tr>
       <td width="519" height="24" background="images/textdi2.gif"></td>
     </tr>
     <tr >
       <td align="left" valign="top" >
	   <table height="21" border="0" cellpadding="0" cellspacing="0">
         <tr>
           <td width="15" height="21"></td>
           <td><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           <td><img src="images/text.gif" hspace="3"/></td>
         </tr>
       </table></td>       
       </tr>
     <tr style="height: 100%;">
       <td valign="top" class="pageContent" style="padding:10px 0px 10px 15px"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
	   </tr>
   </table></td>
   <td valign="top" style="background-image: url(images/textdixun.gif); background-repeat: repeat-y; background-position: left top; "><img src="images/textxun2.gif"/></td>
  </tr>
  <tr>
   <td height="21" style="background-image: url(images/subbullet3.gif); background-repeat: repeat-y; background-position: left top; "></td>
   <td height="21" colspan="2" background="images/textboxun.gif"></td>
   <td height="21"><img src="images/textboxun2.gif"/></td>
  </tr>
  <tr>
    <td height="20" colspan="4"></td>
  </tr>
  <tr>
    <td colspan="4" align="center">
	<table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="80"></td>
<xsl:call-template name="BOTTOM-MENU"/>
        <td width="80"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="20" colspan="4"></td>
  </tr>
  <tr>
    <td colspan="4" align="center">
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="bot_menu"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="20" colspan="4"></td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
           <td width="23" rowspan="2"></td>
           <td height="35" colspan="2" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           <td rowspan="2" align="left" valign="bottom" ><img src="images/subbullet.gif"/></td>
           <td width="28" rowspan="2"></td>
</tr>
<tr>
           <td height="1" colspan="2" background="images/subbulletxian.gif"></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
           <td width="23" rowspan="2"></td>
           <td height="35" colspan="2"><a href='{@HREF}' class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           <td rowspan="2" align="left" valign="bottom"><img src="images/subbullet.gif"/></td>
           <td width="28" rowspan="2"></td>
</tr>
<tr>
           <td height="1" colspan="2" background="images/subbulletxian.gif"></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td align="center"><a href='{@HREF}' class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td class="icon"><img src="images/bulletbo.gif"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
