<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- personal-038 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>

<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top" background="images/bg4.gif" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" background="images/bg1.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top" style="padding-left:50px;padding-right:50px;"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="padding-top:64px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="415"><img src="images/header.gif" width="415" height="155"/></td>
                        <td style="padding-left:1px;">
						<!-- LOGO -->
						<table width="250" border="0" cellspacing="0" cellpadding="0" align="center">
                            <tr>
                              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                            </tr>
                            <tr>
                              <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                            </tr>
                            <tr>
                              <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                            </tr>
                        </table>
						<!-- END LOGO -->
						</td>
                      </tr>
                  </table></td>
                </tr>
                <tr>
                  <td height="1" ></td>
                </tr>
                <tr>
                  <td valign="top" style="padding-top:1px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="208" valign="top"><table width="208%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td width="32"><img src="images/001.gif" width="32" height="28"/></td>
                              <td width="144"><img src="images/001_4.gif" width="144" height="28"/></td>
                              <td><img src="images/001_5.gif" width="32" height="28"/></td>
                            </tr>
                        </table></td>
                        <td width="31" valign="top" ><img src="images/003.gif" width="31" height="28"/></td>
                        <td valign="top" background="images/003_1.gif" style="padding-left:1px;"><img src="images/003_2.gif" width="170" height="28"/></td>
                        <td width="29" valign="top" ><img src="images/003_3.gif" width="29" height="28"/></td>
                      </tr>
                      <tr>
                        <td width="208" valign="top" background="images/bg4.gif" style="padding-right:1px"><table width="208" height="190" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td valign="top" background="images/001_2.gif" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="150" style="background-image:url(images/001_3.gif);background-position:top;background-repeat:no-repeat;"></td>
  </tr>
</table></td>
                              <td height="100%"  valign="top" background="images/002_3.gif" ><table width="100%" height="150"   border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <td height="100%"  background="images/002.gif" style="background-position:top;background-repeat:repeat-x;" valign="top">
								  <!-- MENU -->
								  <table width="100%" border="0" cellspacing="0" cellpadding="0" valign="top">
                                   <xsl:call-template name="TOP-MENU"/>
                                  </table>
								  <!-- END MENU -->								  </td>
                                </tr>
                              </table></td>
                              <td valign="top" background="images/001_9.gif" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="150" style="background-image:url(images/001_6.gif);background-position:top;background-repeat:no-repeat;"></td>
  </tr>
</table></td>
                            </tr>
                            <tr>
                              <td height="30"><img src="images/001_1.gif" width="32" height="30"/></td>
                              <td><img src="images/001_8.gif" width="144" height="30"/></td>
                              <td><img src="images/001_7.gif" width="32" height="30"/></td>
                            </tr>
                            <tr>
                              <td background="images/bg4.gif"></td>
                              <td valign="top" background="images/bg4.gif" class="s2">
							  <br/>
							  <!-- SUBMENU -->
							  <table width="144" border="0" cellspacing="0" cellpadding="0">
                                 <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

<tr valign="top">

                                    <td colspan="4"></td>
                                  </tr>
                              </table>
							  <!-- END SUBMENU -->							  </td>
                              <td background="images/bg4.gif"></td>
                            </tr>
                        </table></td>
                        <td valign="bottom" background="images/003_8.gif" ></td>
                        <td valign="top" background="images/004.gif"  height="100%">
						<!-- CONTENT -->
						<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                          <tr>
                            <td>
							
							<table border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                  <td class="path"><img src="images/005.gif" width="17" height="17"/></td>
                                </tr>
                              </table>
                                <br/>
                              <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                          </tr>
                        </table>
						
						<!-- END CONTENT --></td>
						
						
                        <td valign="bottom" background="images/003_9.gif" ></td>
                      </tr>
                      
                      <tr>
                        <td valign="top" background="images/bg4.gif" style="padding-right:1px"></td>
                        <td valign="bottom" background="images/003_8.gif" ><img src="images/003_4.gif" width="31" height="28"/></td>
                        <td valign="top" background="images/003_6.gif" style="background-position:bottom;background-repeat:repeat-x;"></td>
                        <td valign="bottom" background="images/003_9.gif" ><img src="images/003_7.gif" width="29" height="28"/></td>
                      </tr>
                  </table></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td background="images/bg3.gif" style="background-position:bottom;background-repeat:repeat-x;padding-left:50px;padding-right:50px;"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="padding:20px;">
				 <!-- BOTTOM MENU -->
				  <table border="0" cellspacing="0" cellpadding="0" align="center">
                      <tr>
                        <xsl:call-template name="BOTTOM-MENU"/>
                      </tr>
                  </table>
				  <!-- END BOTTOM MENU -->
				  </td>
                </tr>
                <tr>
                  <td style="padding-bottom:60px;">
				  <!-- FOOTER -->
				  <table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
                      </tr>
                  </table>
				  <!-- END FOOTER -->
				  </td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>

</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td rowspan="2" align="left"><img src="images/006_3.gif"/></td>
<td rowspan="2" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td rowspan="2" align="right"><img src="images/006_2.gif"/> </td>
 <td style="width:1px;"></td>
                                  </tr>
								  <tr>
                                    <td style="width:1px;" background="images/006_4.gif"><div style="width:1px;"><span></span></div></td>
                                  </tr>
								  <tr valign="top">
                                    <td colspan="4"><img src="images/006.gif" width="144" height="1"/></td>
                                  </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
                                    <td rowspan="2" align="left" class="s3"><img src="images/006_3.gif" /></td>
                                    <td rowspan="2" class="submenu"><a href='{@HREF}' class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                                    <td rowspan="2" align="right"><img src="images/006_2.gif"/></td>
                                    <td style="width:1px;"></td>
                                  </tr>
								  <tr>
                                    <td style="width:1px;" background="images/006_4.gif"><div style="width:1px;"><span></span></div></td>
                                  </tr>
								  <tr valign="top">
                                    <td colspan="4"><img src="images/006.gif" width="144" height="1"/></td>
                                  </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">



	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">


<td class="bmenua"><a href='{@HREF}' class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td class="bmenu"><a href='{@HREF}' class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td class="s4"><img src="images/007.gif" /></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
